Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# FLAC__EntropyCodingMethod_PartitionedRice Struct Reference
[FLAC/format.h: format components]

`#include <format.h>`

List of all members.

## Detailed Description

Header for a Rice partitioned residual. (c.f. format specification)

## Public Attributes
unsigned | order
const FLAC__EntropyCodingMethod_PartitionedRiceContents * | contents

## Member Data Documentation

unsigned FLAC__EntropyCodingMethod_PartitionedRice::order

| The partition order, i.e. # of contexts = 2 ^ order.

const FLAC__EntropyCodingMethod_PartitionedRiceContents* FLAC__EntropyCodingMethod_PartitionedRice::contents

| The context's Rice parameters and/or raw bits.

The documentation for this struct was generated from the following file:

- include/FLAC/format.h

Copyright (c) 2000,2001,2002,2003,2004,2005,2006,2007 Josh Coalson |